> ## Documentation Index
> Fetch the complete documentation index at: https://docs.costgraph.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List workflow goals

> Lists the tenant's non-archived workflow goals.



## OpenAPI

````yaml /api-reference/costgraph/openapi.json get /api/v1/tenant/automation/goals
openapi: 3.0.0
info:
  description: Read and manage your CostGraph organization, spend, alerts, and settings.
  title: CostGraph API
  contact: {}
  version: '1.0'
servers:
  - url: https://api.costgraph.ai
security: []
tags:
  - name: ai
    x-group: AI
  - name: ai-serving
    x-group: AI serving
  - name: anomalies
    x-group: Anomalies
  - name: auth
    x-group: Auth
  - name: billing
    x-group: Billing
  - name: billing-export
    x-group: Billing export
  - name: budgets
    x-group: Budgets
  - name: ci
    x-group: CI
  - name: compute-recommendations
    x-group: Compute recommendations
  - name: config
    x-group: Config
  - name: cost
    x-group: Cost
  - name: gpus
    x-group: GPUs
  - name: graphai
    x-group: Graph AI
  - name: infracost
    x-group: Infracost
  - name: integrations
    x-group: Integrations
  - name: invitations
    x-group: Invitations
  - name: kubernetes-clusters
    x-group: Kubernetes clusters
  - name: marketplace
    x-group: Marketplace
  - name: network-requests
    x-group: Network requests
  - name: notifications
    x-group: Notifications
  - name: oauth
    x-group: OAuth
  - name: oauth-clients
    x-group: OAuth clients
  - name: opencost
    x-group: OpenCost
  - name: organization
    x-group: Audit log
  - name: organizations
    x-group: Organizations
  - name: placement-alternatives
    x-group: Placement alternatives
  - name: reports
    x-group: Reports
  - name: service-map
    x-group: Service map
  - name: settings
    x-group: Settings
  - name: sso
    x-group: Single sign-on
  - name: tenants
    x-group: Tenants
  - name: user
    x-group: Users
  - name: virtual-machines
    x-group: Virtual machines
  - name: virtual-tags
    x-group: Virtual tags
  - name: workflows
    x-group: Workflows
paths:
  /api/v1/tenant/automation/goals:
    get:
      tags:
        - workflows
      summary: List workflow goals
      description: Lists the tenant's non-archived workflow goals.
      parameters:
        - description: Tenant ID
          name: X-CostGraph-Tenant-ID
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/responses.SuccessResponse'
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/automation.GoalProjection'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    responses.SuccessResponse:
      type: object
      required:
        - message
        - status
      properties:
        data: {}
        message:
          type: string
          example: some message
        status:
          type: string
          example: success
    automation.GoalProjection:
      type: object
      required:
        - autonomy_envelope
        - budgets
        - constraints
        - created_at
        - goal_id
        - name
        - objective
        - revision
        - revision_id
        - scope
        - status
        - trigger_policy
        - updated_at
      properties:
        autonomy_envelope:
          type: object
        budgets:
          type: object
        constraints:
          type: object
        created_at:
          type: string
        goal_id:
          type: string
        name:
          type: string
        objective:
          type: string
        revision:
          type: integer
        revision_id:
          type: string
        schedule:
          $ref: '#/components/schemas/automation.GoalScheduleProjection'
        scope:
          type: object
        specification:
          $ref: '#/components/schemas/automation.GoalSpecificationV1'
        status:
          type: string
          enum:
            - active
            - paused
            - archived
        trigger_policy:
          type: object
        updated_at:
          type: string
    responses.ErrorResponse:
      type: object
      required:
        - message
        - status
      properties:
        message:
          type: string
          example: some message
        status:
          type: string
          example: error
    automation.GoalScheduleProjection:
      type: object
      required:
        - kind
        - state
      properties:
        cadence:
          type: string
        kind:
          type: string
          enum:
            - once
            - recurring
        last_fired_at:
          type: string
        localTime:
          type: string
        monthWeek:
          type: integer
        next_run_at:
          type: string
        state:
          type: string
          enum:
            - armed
            - paused
            - completed
        timezone:
          type: string
        weekday:
          type: integer
    automation.GoalSpecificationV1:
      type: object
      required:
        - allowedCategories
        - allowedConnectionIds
        - approval
        - exclusions
        - limits
        - schedule
      properties:
        allowedCategories:
          type: array
          items:
            type: string
        allowedConnectionIds:
          type: array
          items:
            type: string
        approval:
          $ref: '#/components/schemas/automation.GoalApprovalV1'
        exclusions:
          type: array
          items:
            $ref: '#/components/schemas/automation.GoalExclusionV1'
        limits:
          $ref: '#/components/schemas/automation.GoalLimitsV1'
        schedule:
          $ref: '#/components/schemas/automation.GoalScheduleV1'
    automation.GoalApprovalV1:
      type: object
      required:
        - mode
      properties:
        mode:
          type: string
          enum:
            - every_change
            - low_risk_reversible
    automation.GoalExclusionV1:
      type: object
      required:
        - key
        - kind
      properties:
        key:
          type: string
        kind:
          type: string
          enum:
            - tag
        value:
          type: string
    automation.GoalLimitsV1:
      type: object
      required:
        - maxActiveRuntimeSeconds
        - maxDecisions
      properties:
        maxActiveRuntimeSeconds:
          type: integer
        maxDecisions:
          type: integer
    automation.GoalScheduleV1:
      type: object
      required:
        - kind
      properties:
        cadence:
          type: string
        kind:
          type: string
          enum:
            - once
            - recurring
        localTime:
          type: string
        monthWeek:
          type: integer
        timezone:
          type: string
        weekday:
          type: integer
  securitySchemes:
    BearerAuth:
      description: Enter "Bearer {token}"
      type: apiKey
      name: Authorization
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.